/* ---------------------------- [ Shell.PRG ] ---------------------------

   Copyright 1993-1996, Hong Kong, C.K.Hung.  All rights reserved.

   Because clipper version-dependent functions should not be called
   directly. A shell is needed if you want to call them in Macro.

 --- 94.6.24---------------------------------------------- C.K.HUNG --- */

Func S_Quit();                      retu __Quit()
Func S_Run(Command);                retu __Run(Command)
Func S_SetCentury(L);               retu __SetCentury(L)
Func S_SetFormat(B);                retu __SetFormat(B)

Func S_KillRead();                  retu __KillRead()
Func S_AtPrompt(Px,Py,Pstr,MsgStr); retu __AtPrompt(Px,Py,Pstr,MsgStr)
Func S_MenuTo(Mpos,Mvar);           retu __MenuTo(MPos,Mvar)
Func S_Wait(Msg);                   retu __Wait(Msg)
Func S_Accept(Msg);                 retu __Accept(Msg)
Func S_KeyBoard(ks);                retu __keyboard(ks)
Func S_SetFunc(Num,Str);            retu __SetFunction(Num,Str)

Func S_MClear();                    retu __MClear()
Func S_MXRelease(CVar);             retu __mxrelease(CVar)
Func S_Mrelease(VarMap,Mode);       retu __MRelease(VarMap,Mode)
Func S_MLoad(FileName,LAdd);        retu __MRestore(FileName,Ladd)
Func S_MSave(FileName,VarMap,Mode); retu __MSave(FileName,VarMap,Mode)

Func S_CopyFile(f1,f2);             retu __CopyFile(f1,f2)
Func S_dir(FileMap);                retu __Dir(FileMap)
Func S_TypeFile(fn,md);             retu __TypeFile(fn,md)

Func S_DBPACK();                    retu __dbPack()
Func S_DBZAP();                     retu __dbZap()
Func S_Continue();                  retu __dbContinue()
Func S_locate(v1,v2,v3,v4,v5);      retu __dbLocate(v1,v2,v3,v4,v5)
Func S_dbcreate(f1,f2);             retu __dbCreate(f1,f2)
Func S_dbcopyxstruct(fn);           retu __dbCopyXStruct(fn)
Func S_dbcopystruct(fn,fields);     retu __dbCopyStruct(fn,fields)

Func S_dbSort(v1,v2,v3,v4,v5,v6,v7);         retu __dbSort(v1,v2,v3,v4,v5,v6,v7)
Func S_dbTotal(v1,v2,v3,v4,v5,v6,v7,v8);     retu __dbToTal(v1,v2,v3,v4,v5,v6,v7,v8)
Func S_dbUpDate(v1,v2,v3,v4);                retu __dbUpDate(v1,v2,v3,v4)
Func S_dbJoin(v1,v2,v3,v4);                  retu __dbJoin(v1,v2,v3,v4)
Func S_dbList(v1,v2,v3,v4,v5,v6,v7,v8,v9,v0);retu __dbList(v1,v2,v3,v4,v5,v6,v7,v8,v9,v0);

#ifdef CLIP5
 Func S_dbcopydelim(v1,v2,v3,v4,v5,v6,v7,v8); retu __dbcopydelim(v1,v2,v3,v4,v5,v6,v7,v8)
 Func S_dbcopysdf(v1,v2,v3,v4,v5,v6,v7);      retu __dbcopysdf(v1,v2,v3,v4,v5,v6,v7)
 Func S_dbCopy(v1,v2,v3,v4,v5,v6,v7);         retu __dbcopy(v1,v2,v3,v4,v5,v6,v7)
 Func S_dbApp(v1,v2,v3,v4,v5,v6,v7);          retu __dbApp(v1,v2,v3,v4,v5,v6,v7)
 Func S_dbappdelim(v1,v2,v3,v4,v5,v6,v7,v8);  retu __dbappdelim(v1,v2,v3,v4,v5,v6,v7,v8)
 Func S_dbappsdf(v1,v2,v3,v4,v5,v6,v7);       retu __dbappsdf(v1,v2,v3,v4,v5,v6,v7)
#else
 Func S_dbdelim(v1,v2,v3,v4,v5,v6,v7,v8,v9);  retu __dbdelim(v1,v2,v3,v4,v5,v6,v7,v8,v9)
 Func S_dbsdf(v1,v2,v3,v4,v5,v6,v7,v8);       retu __dbsdf(v1,v2,v3,v4,v5,v6,v7,v8)
 Func S_dbCopy(v1,v2,v3,v4,v5,v6,v7);         retu __dbcopy(v1,v2,v3,v4,v5,v6,v7)
 Func S_dbApp(v1,v2,v3,v4,v5,v6,v7);          retu __dbApp(v1,v2,v3,v4,v5,v6,v7)
#endif

